## python-oslo.service 3.0.0

=== debian/changelog ===
python-oslo.service (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:57:25 +0200

python-oslo.service (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:48:54 +0200

python-oslo.service (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:07:16 +0100

python-oslo.service (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 13:59:01 +0100

python-oslo.service (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:59:35 +0200

python-oslo.service (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:21:17 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*|.*test_service\.EventletServerServiceLauncherTest\.test_graceful_stop_with_exceeded_graceful_shutdown_timeout.*|.*test_service.EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected.*|.*test_service.ServiceLauncherTest.test_child_signal_sighup.*|.*test_service.ProcessLauncherTest.test_stop.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc
endif

## python-oslo.service 3.1.1

=== debian/changelog ===
python-oslo.service (3.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045300).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 11:04:16 +0200

python-oslo.service (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:44:35 +0200

python-oslo.service (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:25:23 +0100

## python-oslo.service 3.1.2

=== debian/changelog ===
python-oslo.service (3.1.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 10:02:44 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	rm -rf build
+	find .  -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.service 3.2.0

=== debian/changelog ===
python-oslo.service (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:13:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
 	find .  -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:

## python-oslo.service 3.3.0

=== debian/changelog ===
python-oslo.service (3.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:11:11 +0000

python-oslo.service (3.1.1-0ubuntu2) lunar; urgency=medium

  * d/p/0001-Revert-Update-oslo.service-to-require-yappi-1.0-or-n.patch,
    d/p/0002-Revert-Profile-Oslo-Service-processes.patch: Restored.
  * d/control: Drop python3-yappi inline with d/patches.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Mar 2023 08:05:07 -0500

python-oslo.service (3.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/0001-Revert-Update-oslo.service-to-require-yappi-1.0-or-n.patch,
    d/p/0002-Revert-Profile-Oslo-Service-processes.patch: Dropped. No
    longer needed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:23:01 -0500

python-oslo.service (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:27:38 -0400

python-oslo.service (2.8.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:17:08 -0400

## python-oslo.service 3.4.0

=== debian/changelog ===
python-oslo.service (3.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 
  * d/p/py312-compat.patch: Cherry pick fix for Python 3.12 SSL
    compatibility.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:49:55 +0000

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 procps,
 python3-babel,
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.25.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.15),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-webob (>= 1:1.7.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.service
Homepage: https://opendev.org/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.25.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.15),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

## python-oslo.service 3.4.1

=== requirements.txt ===
WebOb>=1.7.1 # MIT
debtcollector>=1.2.0 # Apache 2.0
eventlet>=0.25.2 # MIT
greenlet>=0.4.15 # MIT
oslo.utils>=3.40.2 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
Paste>=2.0.2 # MIT
Yappi>=1.0 # MIT

=== debian/changelog ===
python-oslo.service (3.4.1-0ubuntu1) noble; urgency=medium

  * d/gbp.conf: Create stable/2024.1 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.
  * d/gbp.conf: Set upstream branch to upstream-caracal.
  * New upstream release for OpenStack Caracal (LP: #2097425).

 -- James Page <james.page@ubuntu.com>  Wed, 05 Feb 2025 12:00:27 +0000

=== debian/tests/control ===
Tests: python-import, python-stestr
Depends: @, @builddeps@
Restrictions: allow-stderr

## python-oslo.service 3.5.0

=== debian/changelog ===
python-oslo.service (3.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090579).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:31:00 +0100

python-oslo.service (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 18:00:36 +0200

python-oslo.service (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:23:50 +0200

python-oslo.service (3.4.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Jun 2024 11:20:15 +0200

python-oslo.service (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:45:07 +0200

python-oslo.service (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:47:24 +0100

python-oslo.service (3.2.0-3) unstable; urgency=medium

  * Blacklist TestWSGIServerWithSSL.test_socket_options_for_ssl_server that is
    failing. We don't care this, since in Debian, we're using uwsgi for the
    SSL endpoint anyways.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 09:13:24 +0100

python-oslo.service (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:08:13 +0200

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 procps,
 python3-babel,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-requests,
 python3-routes,
 python3-stestr,
 python3-subunit,
 python3-webob,
 python3-yappi,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.service
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.service.git
Homepage: https://github.com/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-routes,
 python3-yappi,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

## python-oslo.service 3.6.0

=== debian/changelog ===
python-oslo.service (3.6.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:04:44 +0000

python-oslo.service (3.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/p/py312-compat.patch: Drop, included in release.
  * d/{control,tests}/*: Test with all supported Pythons.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:36:50 +0100

## python-oslo.service 4.1.1

=== debian/changelog ===
python-oslo.service (4.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:54:01 +0000

python-oslo.service (4.0.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 15:45:07 +0000

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 procps,
 python3-bandit,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.15),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-webob (>= 1:1.7.1),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.service
Homepage: https://opendev.org/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.15),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.40.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-routes (>= 2.3.1),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.service/ oslo.service-(\d.*)\.tar\.gz

## python-oslo.service 4.2.1+git2025070911.501b9e8

=== debian/changelog ===
python-oslo.service (4.2.1+git2025070911.501b9e8-0ubuntu2) questing; urgency=medium

  * d/control: Remove python3-yappi from Depends. 

 -- Myles Penner <myles.penner@canonical.com>  Mon, 28 Jul 2025 07:48:59 -0700

python-oslo.service (4.2.1+git2025070911.501b9e8-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/0001-Revert-Update-oslo.service-to-require-yappi-1.0-or-n.patch: Refresh.
  * d/p/0002-Revert-Profile-Oslo-Service-processes.patch: Refresh. 
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 11:20:57 -0700

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,11 @@
 Build-Depends-Indep:
  procps,
  python3-bandit,
+ python3-cotyledon (>= 1.7.3),
  python3-debtcollector (>= 1.2.0),
  python3-eventlet (>= 0.27.0),
  python3-fixtures (>= 3.0.0),
+ python3-futurist (>= 2.4.1),
  python3-greenlet (>= 0.4.15),
  python3-openstackdocstheme (>= 2.2.0),
  python3-oslo.concurrency (>= 3.25.0),
@@ -36,6 +38,7 @@
  python3-stestr (>= 2.0.0),
  python3-subunit,
  python3-webob (>= 1:1.7.1),
+ python3-yappi (>= 1.0),
  subunit,
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.service

## python-oslo.service 4.2.2

=== debian/changelog ===
python-oslo.service (4.2.2-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: ensure cotyledon and futurist are a runtime dependency
    needed by the threading backend of oslo.service.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 20 Aug 2025 11:16:35 +0200

## python-oslo.service 4.3.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 WebOb>=1.7.1 # MIT
 debtcollector>=1.2.0 # Apache 2.0
-eventlet>=0.25.2 # MIT
+eventlet>=0.27.0 # MIT
 greenlet>=0.4.15 # MIT
 oslo.utils>=3.40.2 # Apache-2.0
 oslo.concurrency>=3.25.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.service (4.3.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 15 Sep 2025 11:12:31 -0700

=== debian/control ===
--- 
+++ 
@@ -67,9 +67,11 @@
 Depends:
  procps,
  python3-babel,
+ python3-cotyledon (>= 1.7.3),
  python3-debtcollector (>= 1.2.0),
  python3-eventlet (>= 0.27.0),
  python3-fixtures (>= 3.0.0),
+ python3-futurist (>= 2.4.1),
  python3-greenlet (>= 0.4.15),
  python3-oslo.concurrency (>= 3.25.0),
  python3-oslo.config (>= 1:5.1.0),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_service

UPSTREAM_GIT := https://opendev.org/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: python-import, python-stestr
Depends: @, @builddeps@, python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.service/ oslo.service-(\d.*)\.tar\.gz

## python-oslo.service 4.4.1

=== debian/changelog ===
python-oslo.service (4.4.1-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 28 Jan 2026 14:19:47 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.service/ oslo[._]service-(\d.*)\.tar\.gz

## python-oslo.service 4.5.1

=== debian/changelog ===
python-oslo.service (4.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 23:54:03 +0100

python-oslo.service (4.3.0-4) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1045300).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 23:45:01 +0100

python-oslo.service (4.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:25:05 +0200

python-oslo.service (4.3.0-2) experimental; urgency=medium

  * Add missing runtime depends: python3-cotyledon.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 09:08:45 +0200

python-oslo.service (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-futurist and python3-cotyledon as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:08:37 +0200

python-oslo.service (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:36:58 +0100

python-oslo.service (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Feb 2025 11:23:43 +0100

python-oslo.service (4.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:40:04 +0100

python-oslo.service (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:43:16 +0100

=== debian/control ===
Source: python-oslo.service
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 procps,
 python3-babel,
 python3-cotyledon (>= 2.2.0),
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-requests,
 python3-routes,
 python3-stestr,
 python3-subunit,
 python3-webob,
 python3-yappi,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.service
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.service.git
Homepage: https://github.com/openstack/oslo.service

Package: python-oslo.service-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library for running OpenStack services - doc
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the documentation.

Package: python3-oslo.service
Architecture: all
Depends:
 procps,
 python3-babel,
 python3-cotyledon (>= 2.2.0),
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-routes,
 python3-yappi,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.service-doc,
Description: library for running OpenStack services - Python 3.x
 The oslo.service library provides a framework for managing long-running
 services in OpenStack projects.
 .
 Features include:
   * Creation and management of long running service processes and threads.
   * Periodic task management.
   * SSL configuration of services.
   * systemd notification support.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.service.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build *.egg-info .pybuild
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_service\.tests\.(?!(.*test_wsgi\.TestWSGIServerWithSSL\.test_app_using_ipv6_and_ssl.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_ssl_server.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_two_servers.*|.*test_service\.EventletServerServiceLauncherTest\.test_graceful_stop_with_exceeded_graceful_shutdown_timeout.*|.*test_service.EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected.*|.*test_service.ServiceLauncherTest.test_child_signal_sighup.*|.*test_service.ProcessLauncherTest.test_stop.*|.*test_wsgi\.TestWSGIServerWithSSL\.test_socket_options_for_ssl_server.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.service-doc/usr/share/doc/python-oslo.service-doc/html
	dh_sphinxdoc
endif
